EXTRN       _biosStart
EXTRN       _usbSendStr
EXTRN       _usbGetChar
EXTRN       _usbGetStatus
EXTRN       _usbGetRecvcount
EXTRN       _usbSendData
EXTRN       _usbRecvData
EXTRN       _usbOpen
EXTRN       _usbClose
EXTRN       _registIntSrv
EXTRN       _flashService
EXTRN       _inttbl

BSSTR		CSEG	AT	1800H
	br      !_biosStart

BSILVI		CSEG	AT	1804H ; (0)
	br      $_bios_BSILVI

BSIP0		CSEG	AT	1806H ; (1)
	br      $_bios_BSIP0

BSIP1		CSEG	AT	1808H ; (2)
	br      $_bios_BSIP1

BSIP2		CSEG	AT	180AH ; (3)
	br      $_bios_BSIP2

BSIP3		CSEG	AT	180CH ; (4)
	br      $_bios_BSIP3

BSISRE6		CSEG	AT	1812H ; (5)
	br      $_bios_BSISRE6

BSISR6		CSEG	AT	1814H ; (6)
	br      $_bios_BSISR6

BSIST6		CSEG	AT	1816H ; (7)
	br      $_bios_BSIST6

BSICSI10	CSEG	AT	1818H ; (8)
	br      $_bios_BSICSI10

BSITMH1		CSEG	AT	181AH ; (9)
	br      $_bios_BSITMH1

BSITM50		CSEG	AT	181EH ; (10)
	br      $_bios_BSITM50

BSITM000	CSEG	AT	1820H ; (11)
	br      $_bios_BSITM000

BSITM010	CSEG	AT	1822H ; (12)
	br      $_bios_BSITM010

BSITM51		CSEG	AT	182AH ; (13)
	br      $_bios_BSITM51

BSBRK		CSEG	AT	183EH ; (14)
	br      $_bios_BSBRK

; 荞݂̃Wv

_bios_BSILVI:
	push	AX
	movw	AX,!_inttbl
	br		$intsrv

_bios_BSIP0:
	push	AX
	movw	AX,!_inttbl+02H
	br		$intsrv

_bios_BSIP1:
	push	AX
	movw	AX,!_inttbl+04H
	br		$intsrv

_bios_BSIP2:
	push	AX
	movw	AX,!_inttbl+06H
	br		$intsrv

_bios_BSIP3:
	push	AX
	movw	AX,!_inttbl+08H
	br		$intsrv

_bios_BSISRE6:
	push	AX
	movw	AX,!_inttbl+0AH
	br		$intsrv

_bios_BSISR6:
	push	AX
	movw	AX,!_inttbl+0CH
	br		$intsrv

_bios_BSIST6:
	push	AX
	movw	AX,!_inttbl+0EH
	br		$intsrv

_bios_BSICSI10:
	push	AX
	movw	AX,!_inttbl+10H
	br		$intsrv

_bios_BSITMH1:
	push	AX
	movw	AX,!_inttbl+12H
	br		$intsrv

_bios_BSITM50:
	push	AX
	movw	AX,!_inttbl+14H
	br		$intsrv

_bios_BSITM000:
	push	AX
	movw	AX,!_inttbl+16H
	br		$intsrv

_bios_BSITM010:
	push	AX
	movw	AX,!_inttbl+18H
	br		$intsrv

_bios_BSITM51:
	push	AX
	movw	AX,!_inttbl+1AH
	br		$intsrv

_bios_BSBRK:
	push	AX
	movw	AX,!_inttbl+1CH
	br		$intsrv

intsrv:
	CMPW	AX,#0        ; WvAhX0Ȃ
	BZ		$intsrv_e    ; 荞݃T[rX[`̏I|Cg

	PUSH    BC           ;

;---> TNK
	push	de
	push	hl
;<--- TNK

	MOVW    BC,#intsrv_r ; ߂Ԓn𓾂
	PUSH    BC           ; ߂ԒnX^bNɐς
	BR		AX           ; [U`[`փWv
intsrv_r:

;---> TNK
	pop	hl
	pop	de
;<--- TNK

	POP     BC           ;

intsrv_e:
	pop		AX           ; ŏɃvbVAX𕜋A
	RETI                 ; 荞݂̃^[

; gZBIOS̃T[rX[`

TRGOPEN     CSEG	AT	18C0H
	br    !_usbOpen
	nop

TRGCLOSE    CSEG	AT	18C4H
	br    !_usbClose
	nop

TRGPUTS	    CSEG	AT	18C8H
	br    !_usbSendStr
	nop

TRGGETC	    CSEG	AT	18CCH
	br    !_usbGetChar
	nop

TRGGETST    CSEG	AT	18D0H
	br    !_usbGetStatus
	nop

TRGGETRC    CSEG	AT	18D4H
	br    !_usbGetRecvcount
	nop

TRGSENDD    CSEG	AT	18D8H
	br    !_usbSendData
	nop

TRGRECVD    CSEG	AT	18DCH
	br    !_usbRecvData
	nop

TRGINTSV    CSEG	AT	18E0H
	br    !_registIntSrv
	nop

TRGFLASV    CSEG	AT	18E4H
	br    !_flashService
	nop

END
