/*----------------------------------------------------------------------------*/
/* File Information                                                           */
/*----------------------------------------------------------------------------*/
/* Name       : userif.h                                                      */
/* Type       : C Programming Language Header                                 */
/* CPU        : 78F0731(uPD78F0731)                                           */
/*----------------------------------------------------------------------------*/
/* COPYRIGHT (C) NEC Electronics Corporation 2008                             */
/* NEC ELECTRONICS CONFIDENTIAL AND PROPRIETARY                               */
/* All rights reserved by NEC Electronics Corporation.                        */
/* Use of copyright notice does not evidence publication.                     */
/*----------------------------------------------------------------------------*/
/*==============================================================================*/
/* defines																		*/
/*==============================================================================*/
	/*==============================*/
	/* status						*/
	/*==============================*/
	#define	STS_TXBFULL			( 0x02 )			/* bit 1 set...TX buff full	*/
	#define	STS_RXBFULL			( 0x04 )			/* bit 2 set...RX buff full	*/
	#define	STS_DV_MSK			( 0x0F )			/* mask						*/

	#define	STS_CONNECT			( 0x00 )			/* bit 4 reset...com open	*/
	#define	STS_DISCONNECT		( 0x10 )			/* bit 4 set.....com close	*/
	#define	STS_FC_MSK			( 0xF0 )			/* mask						*/
	/*==============================*/
	/* 								*/
	/*==============================*/
	typedef struct {								/* 							*/
		U8	ucStatus;								/* status					*/
		U8	ucBaudrate[4];							/* Baudrate					*/
		U8	ucStopbit;								/* Stopbit					*/
		U8	ucParity;								/* Parity					*/
		U8	ucDatabit;								/* Databit					*/

		U8	RxByteLen;								/* USB Recv Byte length()		*/
		U8	TxByteLen;								/* USB Send Byte length(M)	*/
	} tstUSBSTATUS;
